%global commit a9aa25ce323b2dd04a52706f4d1b044f4feb7617
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           vim-airline-themes
Version:        20240602
Release:        1%{?dist}
Summary:        A collection of themes for vim-airline

License:        MIT
URL:            https://github.com/vim-airline/vim-airline-themes
Source0:        %{url}/archive/master/%{name}-%{version}-git%{shortcommit}.tar.gz

# Added metainfo per
# https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/#_metainfo_xml_file_creation
Source1:        vim-airline-themes.metainfo.xml

Requires:       vim-common

# TODO: These are needed by %%transfiletrigger provided by vim-commons,
# not sure how to get rid of these ATM :/
Requires(post): vim
Requires(postun): vim

# Needed for AppData check.
BuildRequires:  libappstream-glib

# Defines %%vimfiles_root
BuildRequires:  vim-filesystem
BuildArch:      noarch

Requires:       vim-airline

%description
A collection of themes for vim-airline.


%prep
%autosetup -n %{name}


%build
# Nothing to build. We are just copying files to the filesystem


%install
mkdir -p %{buildroot}%{vimfiles_root}
cp -ar {autoload,doc,plugin} %{buildroot}%{vimfiles_root}

# Install AppData.
mkdir -p %{buildroot}%{_metainfodir}
install -m 644 %{SOURCE1} %{buildroot}%{_metainfodir}


%check
# Check the AppData add-on to comply with guidelines.
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%doc README.md
%license LICENSE
%doc %{vimfiles_root}/doc/airline-themes.txt
%{vimfiles_root}/autoload/airline/themes
%{vimfiles_root}/plugin/airline-themes.vim
%{_metainfodir}/vim-airline-themes.metainfo.xml


%changelog
* Sun Jun 02 2024 Patrick Laimbock <patrick@laimbock.com> - 20240602-1
- update to git rev a9aa25ce323b2dd04a52706f4d1b044f4feb7617

* Sat Apr 15 2023 Patrick Laimbock <patrick@laimbock.com> - 20221108-1
- initial package based on git commit dd81554c2231e438f6d0e8056ea38fd0e80ac02a

